package cn.javacoder.test.stateless;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	private Logger logger = LoggerFactory.getLogger(TestServlet.class);

	@Override
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		if (logger.isInfoEnabled()) {
			logger.info("sessionId:" + session.getId());
		}
		String username = request.getParameter("username");
		String username_inSession = (String) session.getAttribute("username");
		if (username_inSession != null) {
			response.getWriter().write(
					"welcome back again " + username + ", you have log in");
		} else {
			if(username == null) {
				response.getWriter().write("username must provided");
				return;
			}
			
			session.setAttribute("username", username);
			response.getWriter().write(
					"welcome " + username + ", you first visit");
		}
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.doGet(req, resp);
	}

}
